// package bot_net_conn -- сетевое соединение бота
package bot_net_conn

import (
	"net/http"
	"net/http/cookiejar"
	"time"

	"wartank/pkg/types"
	"wartank/server/serv_bots/warbot/warbot_net/bot_cookie"
)

// BotNetConn -- сетевое соединение бота
type BotNetConn struct {
	client *http.Client          // Фактический клиент бота
	cookie *bot_cookie.BotCookie // Кукисы бота
}

// NewBotNetConn -- возвращает новое сетевое соединение бота
func NewBotNetConn() *BotNetConn {
	sf := &BotNetConn{
		client: &http.Client{
			Transport: nil,
			Jar:       nil,
			Timeout:   time.Second * 10,
		},
		cookie: bot_cookie.NewBotCookie(),
	}
	sf.client.Jar, _ = cookiejar.New(nil)
	return sf
}

// Client -- возвращает сетевого клиента
func (sf *BotNetConn) Client() *http.Client {
	return sf.client
}

// Cookie -- возвращает куки клиента
func (sf *BotNetConn) Cookie() types.ИБотКуки {
	return sf.cookie
}
